org.eclipse.actf.util.vocab

## Interface IOperator

All Superinterfaces:
  IProposition

    public interface IOperator
    extends IProposition

IOperator interface defines the methods to be implemented by the operator between propositions. For example, "and operator" and "or operator".

### Method Summary

Methods
`void` `add(IProposition prop)` Add a proposition to the arguments of this operator.
`IProposition` `get(int index)`
`int` `size()`

### Methods inherited from interface org.eclipse.actf.util.vocab.IProposition

`eval, getName`

### Method Detail

#### size

    int size()

Returns:
  the size of the arguments for the operator.

#### get

    IProposition get(int index)

Parameters:
  `index` - the index of the proposition.
Returns:
  the instance specified by the index.

#### add

    void add(IProposition prop)

Add a proposition to the arguments of this operator.

Parameters:
  `prop` - the proposition to be added.